<mat-dialog-content>
  <p>Name of the Bucket</p>
  <form [formGroup]="BucketNameForm">
    <mat-form-field>
      <mat-label>Name of Bucket</mat-label>
      <input matInput formControlName="name" />
    </mat-form-field>
  </form>
</mat-dialog-content>
<div mat-dialog-actions>
  <button
    mat-button
    (click)="onClose()"
    [disabled]="this.BucketNameForm.invalid"
  >
    Create Bucket
  </button>
</div>
